#!/bin/sh

export SYSROOT="/darwin-amd64"
#OSXCROSS_PKG_CONFIG_USE_NATIVE_VARIABLES=1 forces osxcross to use PKG_CONFIG_PATH
#cf https://github.com/tpoechtrager/osxcross/blob/master/README.PKG-CONFIG.md for detailed explanation
export OSXCROSS_PKG_CONFIG_USE_NATIVE_VARIABLES=1
export CPPFLAGS="-I/deps/darwin-amd64/include"
export CFLAGS="${CFLAGS} -I${SYSROOT}/include/ -I/deps/darwin-amd64/include -fPIE -fPIC"
export CC="${CC_DARWIN_AMD64}"
export CXX="${CXX_DARWIN_AMD64}"
export PATH=/darwin-amd64/bin:/deps/darwin-amd64/bin:${PATH}
export LDFLAGS="-L/deps/darwin-amd64/lib"
export PKG_CONFIG_PATH=/deps/darwin-amd64/lib/pkgconfig
# Xcode 11 linker have runtime dependency on libtapi.so.6
export LD_LIBRARY_PATH=${SYSROOT}/lib:${LD_LIBRARY_PATH}
